{
  "name": "SMS Gateway",
  "image": "mcr.microsoft.com/devcontainers/javascript-node:1-24-bookworm",

  "forwardPorts": [3000],
  "portsAttributes": {
    "3000": { "label": "SMS Gateway", "onAutoForward": "openBrowser" }
  },

  "postCreateCommand": "npm install",

  "customizations": {
    "vscode": {
      "extensions": [
        "dbaeumer.vscode-eslint",
        "esbenp.prettier-vscode",
        "humao.rest-client"
      ],
      "settings": {
        "editor.formatOnSave": true
      }
    }
  }
}
